<?php
// Yahoo Web Services PHP Example Code
// Rasmus Lerdorf
//
// This version uses PHP5's new unified dom architecture

require './common.php';
$q=build_query();
// Then send it to the appropriate service
$dom = DOMDocument::load($service[$_REQUEST['type']].$q);

// Now traverse the DOM 
function xml_to_result($dom) {
  $root = $dom->firstChild;
  foreach($root->attributes as $attr) $res[$attr->name] = $attr->value;
  $node = $root->firstChild;
  $i = 0;
  while($node) {
    switch($node->nodeName) {
      case 'Result':
        $subnode = $node->firstChild;
        while($subnode) {
          $subnodes = $subnode->childNodes;
          foreach($subnodes as $n) {
            if($n->hasChildNodes()) {
				foreach($n->childNodes as $cn) $res[$i][$subnode->nodeName][$n->nodeName]=trim($cn->nodeValue);
			} else $res[$i][$subnode->nodeName]=trim($n->nodeValue);
          }
          $subnode = $subnode->nextSibling;
        }
        break;
      default:
        $res[$node->nodeName] = trim($node->nodeValue);
        $i--;
        break;
    }
    $i++;
    $node = $node->nextSibling;
  }  
  return $res;
}

$res = xml_to_result($dom);

$first = $res['firstResultPosition'];
$last = $first + $res['totalResultsReturned']-1;
echo "<p>Matched ${res[totalResultsAvailable]}, showing $first to $last</p>\n";
if(!empty($res['ResultSetMapUrl'])) {
  echo "<p>Result Set Map: <a href=\"${res[ResultSetMapUrl]}\">${res[ResultSetMapUrl]}</a></p>\n";
}
for($i=0; $i<$res['totalResultsReturned']; $i++) {
  foreach($res[$i] as $key=>$value) {
    
        if(stristr($key,'Thumbnail')) echo "<p><img src=\"${value[Url]}\" height=\"${value[Height]}\" width=\"${value[Width]}\" />\n</p>";
        if(strcmp($key,'Url')==0) echo "<p><a href=\"$value\">$value</a><br />\n</p>";
        if(stristr($key,'Summary')) {$kaka=$value;
        echo "<p><b>$key:</b> $kaka<br /></p>";
        $string=$kaka;
$string=ereg_replace(' is ',' ',$string);
$string=ereg_replace(' Is ',' ',$string);
$string=ereg_replace(' the ',' ',$string);
$string=ereg_replace(' The ',' ',$string);
$string=ereg_replace(' are ',' ',$string);
$string=ereg_replace(' Are ',' ',$string);
$string=ereg_replace(' were ',' ',$string);
$string=ereg_replace(' Were ',' ',$string);
$string=ereg_replace(' was ',' ',$string);
$string=ereg_replace(' Was ',' ',$string);
$string=ereg_replace(' has ',' ',$string);
$string=ereg_replace(' Has ',' ',$string);
$string=ereg_replace(' have ',' ',$string);
$string=ereg_replace(' Have ',' ',$string);
$string=ereg_replace(' am ',' ',$string);
$string=ereg_replace(' had ',' ',$string);
$string=ereg_replace(' Had ',' ',$string);
$string=ereg_replace(' do ',' ',$string);
$string=ereg_replace(' Do ',' ',$string);
$string=ereg_replace(' did ',' ',$string);
$string=ereg_replace(' Did ',' ',$string);
$string=ereg_replace(' does ',' ',$string);
$string=ereg_replace(' done ',' ',$string);
$string=ereg_replace(' in ',' ',$string);
$string=ereg_replace(' In ',' ',$string);
$string=ereg_replace(' at ',' ',$string);
$string=ereg_replace(' for ',' ',$string);
$string=ereg_replace(' to ',' ',$string);
$string=ereg_replace(' of ',' ',$string);
$string=ereg_replace(' for ',' ',$string);
$string=ereg_replace(' shall ',' ',$string);
$string=ereg_replace(' may ',' ',$string);
$string=ereg_replace(' might ',' ',$string);
$string=ereg_replace(' would ',' ',$string);
$string=ereg_replace(' should ',' ',$string);
$string=ereg_replace(' will ',' ',$string);
$string=ereg_replace(' can ',' ',$string);
$string=ereg_replace(' could ',' ',$string);
$string=ereg_replace(' on ',' ',$string);
$string=ereg_replace(' why ',' ',$string);
$string=ereg_replace(' Why ',' ',$string);
$string=ereg_replace(' what ',' ',$string);
$string=ereg_replace(' What ',' ',$string);
$string=ereg_replace(' Where ',' ',$string);
$string=ereg_replace(' where ',' ',$string);
$string=ereg_replace(' whom ',' ',$string);
$string=ereg_replace(' Whom ',' ',$string);
$string=ereg_replace('how ',' ',$string);
$string=ereg_replace(' How ',' ',$string);
$string=ereg_replace(' and ',' ',$string);
$string=ereg_replace(' although ',' ',$string);
$string=ereg_replace(' though ',' ',$string);
$string=ereg_replace(' Though ',' ',$string);
$string=ereg_replace(' Although ',' ',$string);
$string=ereg_replace(' as ',' ',$string);
$string=ereg_replace(' As ',' ',$string);
$string=ereg_replace(' so ',' ',$string);
$string=ereg_replace(' So ',' ',$string);
$string=ereg_replace(' it ',' ',$string);
$string=ereg_replace(' It ',' ',$string);
$string=ereg_replace(' than  ',' ',$string);
$string=ereg_replace(' Than ',' ',$string);
$string=ereg_replace(' from ',' ',$string);
$string=ereg_replace(' From ',' ',$string);
$string=ereg_replace(' he ',' ',$string);
$string=ereg_replace(' He ',' ',$string);
$string=ereg_replace(' She ',' ',$string);
$string=ereg_replace(' she ',' ',$string);
$string=ereg_replace(' Her ',' ',$string);
$string=ereg_replace(' her ',' ',$string);
$string=ereg_replace(' him ',' ',$string);
$string=ereg_replace(' Him ',' ',$string);
$string=ereg_replace(' his ',' ',$string);
$string=ereg_replace(' His ',' ',$string);
$string=ereg_replace('@',' ',$string);
$nt=0;
$back="kaka";
//print $back;
$p=0;
$k=0;
$rj=0;
$positiv=0;
$negativ=0;
$string = strtoupper($string);
$words=explode(" ",$string);
$data=array();


	$dom=DOMDocument::load('C:/kaka.xml');
	$rows=$dom->getElementsByTagName('Row');
	foreach($rows as $row)
	{
		$cells=$row->getElementsByTagName('Cell');
		
		$datarow=array();
		foreach($cells as $cell)
		{
			$datarow[]=$cell->nodeValue;
		}
		$data[]=$datarow;
	}


foreach($words as $name)
{
	
	$rj++;
	//print "<br>";
       
	if(strcmp($name,"NOT")==0)
	$nt++;
	
	foreach($data as $row)
	{
		
		$word=explode('#',$row[0]);
            if(strlen($word[0])<=strlen($name))
             {

             $len=strlen($word[0]);
		if((substr_compare($name, $word[0], 0, $len, true)==0)&&(strcmp($back,$word[0])!=0))
		{
			
			if(strcmp($row[1],"Positiv")==0){
				$positiv++;
                        $positive[$k]=$word[0];
                        $k++;}
				
			if(strcmp($row[1],"Negativ")==0){
				$negativ++;
                        $negative[$p]=$word[0];
                        $p++;}
                        $back=$word[0];

		}
	}
	}
}
       if($positiv>=$negativ)
       echo "<br><p><img src=positiv.jpg ><br></p>";
       else
       echo "<br><p><img src=negativ.jpg ><br></p>";
       

        }
       
    
  }
  echo "<hr />\n";
}

next_prev($res, $first, $last);
done();
?>
