<?php
// Yahoo Web Services PHP Example Code
// Rasmus Lerdorf
//
// This file contains the common pieces used by all the examples.
// 
$appid = 'YahooDemo';

$service = array('image'=>'http://search.yahooapis.com/ImageSearchService/V1/imageSearch',
                 'local'=>'http://local.yahooapis.com/LocalSearchService/V1/localSearch',
                 'news'=>'http://search.yahooapis.com/NewsSearchService/V1/newsSearch',
                 'video'=>'http://search.yahooapis.com/VideoSearchService/V1/videoSearch',
                 'web'=>'http://search.yahooapis.com/WebSearchService/V1/webSearch');

header('Content-Type: text/html; charset=UTF-8');
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Free CSS Templates</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
<div id="wrapper-menu-top">
  <div id="menu-top">
    <ul>
      <li><a href="#"><span>Home</span></a></li>
      <li><a href="#"><span>Products</span></a></li>
      <li><a href="#"><span>Templates</span></a></li>
      <li><a href="#"><span>About</span></a></li>
      <li><a href="#"><span>Contact</span></a></li>
    </ul>
  </div>
  <!--menu-top-->
</div>
<!--wrapper-menu-top-->
<div id="wrapper-header">
  <div id="header">
    <div id="wrapper-header2">
      <div id="wrapper-header3">
        <h1>LOGO</h1>
      </div>
    </div>
  </div>
</div>
<div id="wrapper-content">
  <div id="wrapper-menu-page">
    <div id="menu-page">
      <h3>Partners</h3>
      <ul>
        <li><a href="#">Link 1</a></li>
        <li><a href="#">Link 2</a></li>
        <li><a href="#">Link 3</a></li>
        <li><a href="#">Link 4</a></li>
      </ul>
      <h3>Archives</h3>
      <ul>
        <li><a href="#">April 2008</a></li>
        <li><a href="#">March 2008</a></li>
        <li><a href="#">Feb 2008</a></li>
        <li><a href="#">Jan 2008</a></li>
      </ul>
    </div>
    <!--menu-page-->
  </div>
  <div id="content">
    <h2>Welcome to Site</h2>
    <div id="lipsum">
      <p><form action="YahooSearchExample.php" method="GET">
Search Term: <input type="text" size=60 name="query" /><br />
<br><input type="submit" value=" Go! " />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<select name="type">
<?php foreach($service as $name => $val) {
    if(!empty($_REQUEST['type']) && $name == $_REQUEST['type'])
      echo "<option SELECTED>$name</option>\n";
    else echo "<option>$name</option>\n";
} ?>
</select>
</form>

</p>
<p>





<?php

function done() {
  echo '</body></html>';
  exit;
}

function build_query() {
  global $appid, $service;
  if(empty($_REQUEST['query']) || !in_array($_REQUEST['type'],array_keys($service))) done();

  $q = '?query='.rawurlencode($_REQUEST['query']);
  if(!empty($_REQUEST['zip'])) $q.="&zip=".$_REQUEST['zip'];
  if(!empty($_REQUEST['start'])) $q.="&start=".$_REQUEST['start'];
  $q .= "&appid=$appid";
  $q .= "&results=4";
  return $q;
}

// Create Previous/Next Page links
function next_prev($res, $start, $last) {
  if($start > 1)
    echo '<a href="'.$_SERVER['PHP_SELF'].
                   '?query='.rawurlencode($_REQUEST['query']).
                   '&zip='.rawurlencode($_REQUEST['zip']).
                   '&type='.rawurlencode($_REQUEST['type']).
                   '&start='.($start-10).'">&lt;-Previous Page</a> &nbsp; ';
  if($last < $res['totalResultsAvailable'])
    echo '<a href="'.$_SERVER['PHP_SELF'].
                   '?query='.rawurlencode($_REQUEST['query']).
                   '&zip='.rawurlencode($_REQUEST['zip']).
                   '&type='.rawurlencode($_REQUEST['type']).
                   '&start='.($last+1).'">Next Page-&gt;</a>';
}
?>
